> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyparrow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an invoice

> Creates a new invoice with line items, optional tax, discount, shipping and customer details.



## OpenAPI

````yaml /openapi.json post /invoices/
openapi: 3.0.0
info:
  description: |-
    Hyparrow payment gateway API. Authenticate server-to-server
    requests with your API key credentials.
  title: Hyparrow API
  termsOfService: https://hyparrow.cloud/terms
  contact:
    name: Hyparrow Support
    email: support@hyparrow.com
  version: '1.0'
servers:
  - url: https://api.hyparrow.cloud/api/v1
    description: Production
  - url: https://sandbox.hyparrow.cloud/api/v1
    description: Sandbox - simulated providers, test keys only, no real money
security: []
paths:
  /invoices/:
    post:
      tags:
        - Invoices
      summary: Create an invoice
      description: >-
        Creates a new invoice with line items, optional tax, discount, shipping
        and customer details.
      requestBody:
        content:
          application/json:
            schema:
              type: object
        description: >-
          Invoice payload (title, currency, customer details, dates,
          tax/discount, lineItems, etc.)
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Server-to-server auth. Send your API key in the "X-API-Key" header and
        your API secret in the "X-API-Secret" header.
      type: apiKey
      name: X-API-Key
      in: header

````